Name:           janino
Version:        3.1.6
Release:        2%{?dist}
Summary:        Super-small, super-fast Java compiler
License:        BSD
URL:            http://janino-compiler.github.io/janino
BuildArch:      noarch
Source0:        https://github.com/janino-compiler/janino/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.ant:ant)

Requires:       javapackages-tools
Requires:       commons-compiler = %{version}-%{release}

%description
Janino is a super-small, super-fast Java compiler.

The "JANINO" implementation of the "commons-compiler" API: Super-small,
super-fast, independent from the JDK's "tools.jar".

%package     -n commons-compiler
Summary:        Commons Compiler

%description -n commons-compiler
The "commons-compiler" API, including the "IExpressionEvaluator",
"IScriptEvaluator", "IClassBodyEvaluator" and "ISimpleCompiler" interfaces.

%package     -n commons-compiler-jdk
Summary:        Commons Compiler JDK

%description -n commons-compiler-jdk
The "JDK" implementation of the "commons-compiler" API that uses the
JDK's Java compiler (JAVAC) in "tools.jar".

%package        javadoc
Summary:        API documentation for %{name}

%description    javadoc
API documentation for %{name}.

%prep

%autosetup

find -type f '(' -iname '*.jar' -o -iname '*.class' ')' -print -delete

pushd %{name}-parent
  %pom_xpath_remove pom:maven.compiler.source
  %pom_xpath_remove pom:maven.compiler.target
  %pom_xpath_remove pom:maven.compiler.executable
  %pom_xpath_remove pom:maven.compiler.fork

  %pom_remove_plugin :nexus-staging-maven-plugin
  %pom_remove_plugin :maven-jarsigner-plugin
  %pom_remove_plugin :maven-javadoc-plugin
  %pom_remove_plugin :maven-source-plugin

  %pom_disable_module ../commons-compiler-tests

  %mvn_package :%{name}-parent __noinstall
popd

%build

pushd %{name}-parent
  %mvn_build -s -- -Dmaven.compiler.source=8 -Dmaven.compiler.target=8
popd

%install

pushd %{name}-parent
  %mvn_install
  
  %jpackage_script org.codehaus.commons.compiler.samples.CompilerDemo "" "" %{name}/janino:%{name}/commons-compiler janinoc true
popd

%files                         -f %{name}-parent/.mfiles-%{name}
%{_bindir}/janinoc
%license LICENSE

%files -n commons-compiler     -f %{name}-parent/.mfiles-commons-compiler
%license LICENSE

%files -n commons-compiler-jdk -f %{name}-parent/.mfiles-commons-compiler-jdk
%license LICENSE

%files javadoc                 -f %{name}-parent/.mfiles-javadoc
%license LICENSE

%changelog
* Sat Jan 01 2022 Didik Supriadi <didiksupriadi41@fedoraproject.org> - 3.1.6-2
- Add Requires: commons-compiler = %%{version}-%%{release} to janino package
- Remove bundled jar/classes

* Fri Dec 31 2021 Didik Supriadi <didiksupriadi41@fedoraproject.org> - 3.1.6-1
- Initial package
